<?

// Автор: Rostik98ua
// kolkhoz.spaces.ru
// Если мод попала в вашие руки незаконно, т.е. не из моих рук, просьба сдаться, я же всёравно вас найду!
// мод запрещено использовать как объек заработка денег!
// Ася: 643347249
// Скайп: skype020798
// Имейте совесть и уважение!







echo "<div class='event'><h1>Подарок игрокам/колхозам</h1></div>";
echo '<div class="content"><div class="block">';
echo "<ul>";
echo "<li><img alt= '' width='16' height='16' src='images/icons/money.png'>Подарить монеты <b><a href='?admin=podarok&mon_collec'>колхозам</a> | <a href='?admin=podarok&mon_user'>игрокам</a></b> </li>";
if(isset($_GET['mon_user']))
{
if($_GET['mon_user']=="ok")
{
mysql_query("UPDATE `kolhoz_user` SET `money` = `money` + '$_POST[money]'");
msg_game("Вы выдали всем игрокам по <img alt= '' width='16' height='16' src='images/icons/money.png'>$_POST[money]");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=podarok&mon_user=ok" method="post" name="them">
<div class="block event">
<span class="title">Выдать монеты игрокам</span>
<div>Кол-во рубинов: <input name="money" value="">
<div><input type="submit" value="Выдать"></form></div></div></div>';
}
}
if(isset($_GET['mon_collec']))
{
if($_GET['mon_collec']=="ok")
{
mysql_query("UPDATE `kolhoz_collective` SET `money` = `money` + '$_POST[money]'");
msg_game("Вы выдали всем колхозам по <img alt= '' width='16' height='16' src='images/icons/money.png'>$_POST[money]");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=podarok&mon_collec=ok" method="post" name="them">
<div class="block event">
<span class="title">Выдать монеты колхозам</span>
<div>Кол-во рубинов: <input name="money" value="">
<div><input type="submit" value="Выдать"></form></div></div></div>';
}
}
echo "<li><img alt= '' width='16' height='16' src='images/icons/ruby.png'>Подарить рубины <b><a href='?admin=podarok&rub_collec'>колхозам</a> | <a href='?admin=podarok&rub_user'>игрокам</a></b> </li>";
if(isset($_GET['rub_user']))
{
if($_GET['rub_user']=="ok")
{
mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '$_POST[rubies]'");
msg_game("Вы выдали всем игрокам по <img alt= '' width='16' height='16' src='images/icons/ruby.png'>$_POST[rubies]");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=podarok&rub_user=ok" method="post" name="them">
<div class="block event">
<span class="title">Выдать рубины игрокам</span>
<div>Кол-во рубинов: <input name="rubies" value="">
<div><input type="submit" value="Выдать"></form></div></div></div>';
}
}
if(isset($_GET['rub_collec']))
{
if($_GET['rub_collec']=="ok")
{
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = `rubies` + '$_POST[rubies]'");
msg_game("Вы выдали всем колхозам по <img alt= '' width='16' height='16' src='images/icons/ruby.png'>$_POST[rubies]");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=podarok&rub_collec=ok" method="post" name="them">
<div class="block event">
<span class="title">Выдать рубины колхозам</span>
<div>Кол-во рубинов: <input name="rubies" value="">
<div><input type="submit" value="Выдать"></form></div></div></div>';
}
}
echo "</ul>";
echo "<li class='pt'><img src='images/icons/back.png'> <a href='?admin'>Вернутся</a>";
echo "</div>";
include_once 'inc/foot.php';
?>